Bug 1570065 - Ansible Service Broker fails to deploy due to missing namespace argument
Summary: Ansible Service Broker fails to deploy due to missing namespace argument
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Broker
Version: 3.9.0
Hardware: All
OS: All
high
high
Target Milestone: ---
: 3.9.z
Assignee: Fabian von Feilitzsch
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-20 14:54 UTC by Leif Madsen
Modified: 2018-06-27 18:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 18:01:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2013 None None None 2018-06-27 18:02:09 UTC

Description Leif Madsen 2018-04-20 14:54:36 UTC
Description of problem:

Ansible Service Broker will fail to deploy properly on OpenShift 3.9 using openshift-ansible due to a missing configuration option in the ConfigMap for the broker-config.


Version-Release number of selected component (if applicable): v3.9 latest


How reproducible: Always


Steps to Reproduce:
1. deploy service catalog and ansible service broker from openshift-ansible release-3.9
2. see po/asb-1-<random> fail due to inability to pull secret from '' namespace
3.

Actual results:

Fails to deploy due to missing namespace argument.

Expected results:

Deploy without error :)


Additional info:

PR in upstream available at https://github.com/openshift/openshift-ansible/pull/8063

Comment 1 John Matthews 2018-04-26 22:09:20 UTC
Fabian,

Please ensure this is fixed in 3.10, I saw the PR was submitted for release-3.9, unsure if we need another change in master as well.

Comment 2 Fabian von Feilitzsch 2018-04-27 12:47:28 UTC
This is already fixed in 3.10, it was just never backported to 3.9 until pr#8063. Going to realign to 3.9.z and set status to ON_QA since the change has been merged into the release 3.9 branch.

Comment 5 errata-xmlrpc 2018-06-27 18:01:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2013


Note You need to log in before you can comment on or make changes to this bug.